Bug 998999 - It's very hard to find out how to see all your private data in the report
It's very hard to find out how to see all your private data in the report
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 09:55 EDT by Kamil Páral
Modified: 2016-11-30 19:44 EST (History)
10 users (show)

See Also:
Fixed In Version: libreport-2.2.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 00:35:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-08-20 09:55:16 EDT
Description of problem:
When there is some "private info" in the bug reports, it is marked red. I'm going to be totally incorrect and generalize here:

* None of your users ever noticed the tiny arrows beside the search box! All of them ignore your privacy warnings, or they avoid reporting altogether, because they can't find the red-marked text! *

Read this:
https://lists.fedoraproject.org/pipermail/test/2013-August/117401.html

I have reported hundreds of bugs, and every time I try to scroll the thousands of lines (often furthermore unwrapped) and search for text in red background. By this time I could have saved _hours_ if I knew about the tiny fricking arrows, as displayed in attachment 685135 [details].

Guys, give us a proper buttons, please! Make "Next occurrence" and "Previous occurrence" buttons directly below the text area.

We the users are going to love you more then, I promise.

Version-Release number of selected component (if applicable):
abrt-2.1.6-3.fc19.x86_64
abrt-addon-ccpp-2.1.6-3.fc19.x86_64
abrt-addon-kerneloops-2.1.6-3.fc19.x86_64
abrt-addon-python-2.1.6-3.fc19.x86_64
abrt-addon-uefioops-2.1.6-3.fc19.x86_64
abrt-addon-vmcore-2.1.6-3.fc19.x86_64
abrt-addon-xorg-2.1.6-3.fc19.x86_64
abrt-dbus-2.1.6-3.fc19.x86_64
abrt-desktop-2.1.6-3.fc19.x86_64
abrt-gui-2.1.6-3.fc19.x86_64
abrt-libs-2.1.6-3.fc19.x86_64
abrt-plugin-bodhi-2.1.6-3.fc19.x86_64
abrt-retrace-client-2.1.6-3.fc19.x86_64
gnome-abrt-0.3.0-3.fc19.x86_64
Comment 1 Kamil Páral 2013-08-21 07:19:23 EDT
After talking to Jakub Filak, I finally understand how it works. The arrows _are_ connected to the search box, but if there's nothing in the search box, it traverses the "possibly private info" occurrences.

Once a search box is used, it erases all default occurrences and it starts to behave and a traditional search box with next/previous buttons.

My suggestion is:
1. Never erase the occurrences marked red by default. If the user uses the search box, highlight the new term in orange (for example) and leave the red occurrences intact.
2. Create a new tab "Privacy data summary" (or similar) that would show a summary of all found information that could possibly be sensitive. Display a short context around the (20 characters before and after, or similar). Allow the user to click on it and go to the original location (switch tab, scroll to occurrence).
3. If all the above is implemented, the tiny previous/next arrows can maybe stay unchanged.
4. Adjust the warning text in the bottom to ask the user the review the "Privacy data summary" tab, instead of searching all the text manually.

What do you think?
Comment 2 Jakub Filak 2014-03-31 11:21:40 EDT
The following pull request has been created for this bug report:
https://github.com/abrt/libreport/pull/249
Comment 3 Fedora Update System 2014-04-07 03:45:25 EDT
libreport-2.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreport-2.2.1-1.fc19
Comment 4 Fedora Update System 2014-04-08 20:57:08 EDT
Package libreport-2.2.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.2.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4900/libreport-2.2.1-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-04-23 00:35:29 EDT
libreport-2.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.